%global dlrn_nvr tripleo-ipsec-9.3.0-2.20220112220333.0c8693c
%global dlrn 1
%define upstream_version 9.3.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname tripleo_ipsec
%global rolename tripleo-ipsec

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-%{rolename}
Version: 9.3.0
Release: 2.20220112220333.0c8693c%{?dist}
Summary:        Ansible role for setting up IPSEC tunnels for TripleO

Group:          System Environment/Base
License:        GPLv3+
URL:            https://git.openstack.org/cgit/openstack/tripleo-ipsec
Source0: tripleo-ipsec-9.3.0-2.20220112220333.0c8693c.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=0c8693cecc2a358d9eebeb7d1fc468cff2471bd7
Patch0001: 0001-Skip-ansible-lint-106.patch
Patch0002: 0002-Replace-deprecated-UPPER_CONSTRAINTS_FILE-variable.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif

%description

Ansible role to configure IPSEC tunnels for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 9.3.0-2.20220112220333.0c8693c
- Update patches
- Replace "failed" and "succeeded" filters for assertions

* Tue Jan 04 2022 OSP Prod Chain <dev-null@redhat.com> 9.2.0-2.20220104104048.ffe104c
- Update patches

* Mon Sep 27 2021 CPaaS User <cpaas-ops@redhat.com> - 9.2.0-2.20210527201530.ffe104c.3
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 9.2.0-2.20210527201530.ffe104c.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 9.2.0-2.20210527201530.ffe104c.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 9.2.0-2.20210527201530.ffe104c
- Update patches

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Skip ansible-lint 106
- Replace "failed" and "succeeded" filters for assertions
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Skip ansible-lint 106
- Replace "failed" and "succeeded" filters for assertions

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches
- Skip ansible-lint 106

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches
- Replace "failed" and "succeeded" filters for assertions

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 9.2.0-1
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


